Loading...
Searching...
No Matches
Var.h File Reference

Defines the Var - the front-end variable. More...

`#include <string>`
`#include <vector>`
`#include "Expr.h"`

Go to the source code of this file.

## Classes

class | Halide::Var
| A Halide variable, to be used when defining functions. More...
struct | Halide::ImplicitVar< N >

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

std::vector< Var > | Halide::Internal::make_argument_list (int dimensionality)
| Make a list of unique arguments for definitions with unnamed arguments.

## Detailed Description

Defines the Var - the front-end variable.

Definition in file Var.h.